unit ServerController;

interface

uses
  SysUtils, Classes, IWServerControllerBase, IWBaseForm, HTTPApp,
  // For OnNewSession Event
  UserSessionUnit, IWApplication, IWAppForm, IWTMSAuthBase
{----------------------------------------------}
{  I M P O R T A N T   N O T I C E             }
{                                              }
{ If there is a "File not found" compiler      }
{ error, please comment/uncomment the required }
{ lines based on the IntraWeb version.         }
{----------------------------------------------}
  { If IW VERSION 12.2.4 or later }
  , IW.HTTP.Request
  , IW.HTTP.Reply
  { Else }
  //, IW.HTTPRequest
  //, IW.HTTPReply
  ;

type
  TIWServerController = class(TIWServerControllerBase)
    TIWAuthServerController1: TTIWAuthServerController;
    procedure IWServerControllerBaseNewSession(ASession: TIWApplication;
      var VMainForm: TIWBaseForm);
    procedure IWServerControllerBaseBeforeDispatch(Request: THttpRequest;
      aReply: THttpReply);

  private
    
  public
  end;


  function UserSession: TIWUserSession;
  function IWServerController: TIWServerController;

implementation

{$R *.dfm}

uses
  IWInit, IWGlobal;

function IWServerController: TIWServerController;
begin
  Result := TIWServerController(GServerController);
end;



function UserSession: TIWUserSession;
begin
  Result := TIWUserSession(WebApplication.Data);
end;


procedure TIWServerController.IWServerControllerBaseBeforeDispatch(
  Request: THttpRequest; aReply: THttpReply);
begin
  TIWAuthServerController1.ProcessRequest(Request);
end;

procedure TIWServerController.IWServerControllerBaseNewSession(
  ASession: TIWApplication; var VMainForm: TIWBaseForm);
begin
  ASession.Data := TIWUserSession.Create(nil);
end;


initialization
  TIWServerController.SetServerControllerClass;

end.

